// (c) 2005 Martin Aumueller <aumuell@reserv.at>
// See COPYING file for licensing information

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <taglib/fileref.h>

#ifdef HAVE_MP4V2
#include "mp4/taglib_mp4filetyperesolver.h"
#else
#include "m4a/taglib_mp4filetyperesolver.h"
#endif

#include "wma/taglib_wmafiletyperesolver.h"
#if 0
#include "rmff/taglib_realmediafiletyperesolver.h"
#endif
#include "audible/taglib_audiblefiletyperesolver.h"
#include "aac/aacfiletyperesolver.h"

void register_taglib_plugins ()
{
    TagLib::FileRef::addFileTypeResolver(new MP4FileTypeResolver);
    TagLib::FileRef::addFileTypeResolver(new WMAFileTypeResolver);
//    TagLib::FileRef::addFileTypeResolver(new RealMediaFileTypeResolver);
    TagLib::FileRef::addFileTypeResolver(new AudibleFileTypeResolver);
    TagLib::FileRef::addFileTypeResolver(new AACFileTypeResolver);
}
